Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.property
Interface PropertyValue

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface PropertyValue

This interface is for use by portlets written to the IBM API. An analogous interface `com.ibm.portal.propertybroker.property.PropertyValue` is available for portlets written to the JSR-168 API.

Encapsulates a property with its value and an optional reason indicating why the policy change. Instances of this interface are passed by the Property Broker to portlets implementing the `PropertyListener` interface through the `setProperties` method and from portlets to the Property Broker through the `changedProperties` method of the `PropertyBrokerService` interface.

Since:
  5.0
See Also:
  `Property`, `PropertyListener`, `PropertyBrokerService`, `PropertyValue`

Field Summary
`static java.lang.String` | `CHANGE_TYPE_CREATED` Deprecated. The property value change was triggered due to the property value being created.
`static java.lang.String` | `CHANGE_TYPE_DELETED` Deprecated. The property value change was triggered due to the property value being deleted.
`static java.lang.String` | `CHANGE_TYPE_QUERIED` Deprecated. The property value change was triggered due to the property value being queried.
`static java.lang.String` | `CHANGE_TYPE_UNSPECIFIED` Deprecated. The property value change was triggered but the reason for change is unspecified.
`static java.lang.String` | `CHANGE_TYPE_UPDATED` Deprecated. The property value change was triggered due to the property value being updated.

Method Summary
`java.lang.String` | `getChangeType()` Deprecated. Returns the reason for the property value change.
`Property` | `getProperty()` Deprecated. Returns the `Property` part of this object.
`java.lang.Object` | `getValue()` Deprecated. Returns the value of the `Property`.

Field Detail

### CHANGE_TYPE_CREATED

    static final java.lang.String CHANGE_TYPE_CREATED

  Deprecated.
  The property value change was triggered due to the property value being created.

  See Also:
    Constant Field Values

### CHANGE_TYPE_UPDATED

    static final java.lang.String CHANGE_TYPE_UPDATED

  Deprecated.
  The property value change was triggered due to the property value being updated.

  See Also:
    Constant Field Values

### CHANGE_TYPE_DELETED

    static final java.lang.String CHANGE_TYPE_DELETED

  Deprecated.
  The property value change was triggered due to the property value being deleted.

  See Also:
    Constant Field Values

### CHANGE_TYPE_QUERIED

    static final java.lang.String CHANGE_TYPE_QUERIED

  Deprecated.
  The property value change was triggered due to the property value being queried.

  See Also:
    Constant Field Values

### CHANGE_TYPE_UNSPECIFIED

    static final java.lang.String CHANGE_TYPE_UNSPECIFIED

  Deprecated.
  The property value change was triggered but the reason for change is unspecified.

  See Also:
    Constant Field Values

Method Detail

### getProperty

    Property getProperty()

  Deprecated.
  Returns the `Property` part of this object.

  Returns:
    the `Property` part of this object

### getValue

    java.lang.Object getValue()

  Deprecated.
  Returns the value of the `Property`. Will be an instance of the java class associated with the `Property`.

  Returns:
    the value of the `Property`.

### getChangeType

    java.lang.String getChangeType()

  Deprecated.
  Returns the reason for the property value change. Will be one of the "CHANGE_TYPE" constants defined in this class.

  Returns:
    the reason for the property value change
  Since:
    5.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD